import CJS_COMPAT_NODE_URL_cti3o1sbpc from 'node:url';
import CJS_COMPAT_NODE_PATH_cti3o1sbpc from 'node:path';
import CJS_COMPAT_NODE_MODULE_cti3o1sbpc from "node:module";

var __filename = CJS_COMPAT_NODE_URL_cti3o1sbpc.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_cti3o1sbpc.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_cti3o1sbpc.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  any
} from "./chunk-XRFAPJTP.js";

// src/cli/detect.ts
async function detectPnp() {
  return !!any([".pnp.js", ".pnp.cjs"]);
}

export {
  detectPnp
};
